// Copyright 2003, SLAC, Stanford, U.S.A.
package org.freehep.swing.undo;

import javax.swing.undo.UndoableEdit;

/**
 *
 * @author Mark Donszelmann
 * @version $Id: LinkableEdit.java,v 1.1.1.1 2004/05/31 05:08:49 kuromaru Exp $
 */
public interface LinkableEdit extends UndoableEdit {

    public LinkableEdit getNextEdit();
    public void setNextEdit(LinkableEdit edit);

    public LinkableEdit getPreviousEdit();
    public void setPreviousEdit(LinkableEdit edit);

    public LinkableEdit getParent();
    public void setParent(LinkableEdit edit);
}
